package com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator;

import com.brilliance.isc.swift.objmtconvert.annotation.FieldDescription;
import com.brilliance.isc.swift.objmtconvert.annotation.Status;
import com.brilliance.isc.swift.objmtconvert.annotation.TagName;
import com.brilliance.isc.swift.objmtconvert.annotation.TagRegex;
import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class MT920AbsCreator extends AbsMTCreator {
    @Status("M")
    @TagName("12")
    @FieldDescription("Message Requested")
    @TagRegex("16x")
    //12
    private String messageRequested;
    @Status("M")
    @TagName("25")
    @FieldDescription("Account Identification")
    @TagRegex("35x")
    //25
    private String accountIdentification;
    @Status("O")
    @TagName("34F")
    @FieldDescription("Debit/(Debit and Credit) Floor Limit Indicator")
    @TagRegex("3!a[1!a]15d")
    //34F
    private String debitFloorLimitIndicator;
    @Status("O")
    @TagName("34F")
    @FieldDescription("Credit Floor Limit Indicator")
    @TagRegex("3!a[1!a]15d")
    //34F
    private String creditFloorLimitIndicator;

    public String getMessageRequested() {
        return messageRequested;
    }

    public void setMessageRequested(String messageRequested) {
        this.messageRequested = messageRequested;
    }

    public String getAccountIdentification() {
        return accountIdentification;
    }

    public void setAccountIdentification(String accountIdentification) {
        this.accountIdentification = accountIdentification;
    }

    public String getDebitFloorLimitIndicator() {
        return debitFloorLimitIndicator;
    }

    public void setDebitFloorLimitIndicator(String debitFloorLimitIndicator) {
        this.debitFloorLimitIndicator = debitFloorLimitIndicator;
    }

    public String getCreditFloorLimitIndicator() {
        return creditFloorLimitIndicator;
    }

    public void setCreditFloorLimitIndicator(String creditFloorLimitIndicator) {
        this.creditFloorLimitIndicator = creditFloorLimitIndicator;
    }

    public MT920AbsCreator(String jsonData) throws Exception {
        super(jsonData);
    }

    public MT920AbsCreator() {
        super();
    }



    public MtResult unpack() {
        return null;
    }


}
